Skip Navigation

This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 3 replies, has 2 voices.

Last updated by Lauren 4 years, 11 months ago.

Assigned support staff: Lauren.

Author Posts
February 7, 2017 at 12:07 pm #1201608

Gianluigi

Hi,
after I have upgraded my site I get this warning visible in admin view:

 Warning: Wrong parameter count for array_unique() in /site.com/wp-content/plugins/sitepress-multilingual-cms/classes/requirements/class-wpml-third-party-dependencies.php on line 42
 Warning: Wrong parameter count for array_unique() in /site.com/wp-content/plugins/sitepress-multilingual-cms/classes/requirements/class-wpml-third-party-dependencies.php on line 43

This warning still visible with debug set to false.

Thank you

February 7, 2017 at 1:35 pm #1201762

Lauren
Supporter

Languages: English (English )

Timezone: America/New_York (GMT-05:00)

Thank you for contacting WPML support. I'll be happy to help you with this.

Please be sure to make a full backup of your site and database.

Then, go to WPML -> Support -> Troubleshooting.

Look for 'Clean up' and click the following:
- Clear the cache in WPML
- Remove ghost entries from the translation tables
- Fix element_type collation
- Set language information

If this does not resolve the issue, I'd like to have you try a few things so we can try to isolate the issue. This is just to help me identify if it might be a conflict with another plugin or theme that is causing the problem.

** IMPORTANT ** Please backup a working copy of site files and database before continuing.

Update all WPML plugins & WordPress core.

Disable all plugins except WPML related and then temporarily change the theme to a default WordPress such as TwentyFifteen. Does the warning message go away?

February 7, 2017 at 4:49 pm #1202101

Gianluigi

Hi Lauren,
the problem still persists.

Thank you

February 7, 2017 at 8:28 pm #1202266

Lauren
Supporter

Languages: English (English )

Timezone: America/New_York (GMT-05:00)

Thanks for testing that for me. I see you are using older versions of php and mySQL. Please upgrade to PHP 5.6 or at least 5.3 as our minimum requirement says https://wpml.org/home/minimum-requirements/, and then let me know if this resolves the message. Thanks!

The topic ‘[Closed] Warning: Wrong parameter count for array_unique() class-wpml-third-party-depend’ is closed to new replies.